document.addEventListener("deviceready", onDeviceReady, false);
function onDeviceReady() {
	init();
	setTimeout(internalInit, 2000);
	
	
}
function internalInit() {
	cordova.plugins.softgamessdk.init(SGConfig);
	showPreroll(SGConfig.android.prerollId);
	registreGCM();
	showBanner(SGConfig.android.bannerId);
}

/*GCM stuff*/
function registreGCM() {
	console.log("register gcm");
	
	
	var error = function(result) {
		console.log("error: " + result);
	};
	
	window.GcmPushPlugin.register(onRegistreGCMSuccess, error, {
    "senderId":"833464089212",
    "jsCallback":"onNotification"
	});
}

function onRegistreGCMSuccess(result) {
		var token = result.gcm;
		cordova.plugins.softgamessdk.gcmRegister(token, window.isTablet, device.platform, device.version);
}

//prevent doulbe call!
//happens when user double taps the notification
function onNotification(noti) {
	console.log(JSON.stringify(noti));
}

/*Ads stuff*/
function showPreroll(id) {
	cordova.plugins.softgamessdk.showPreroll();
}

function showBanner() {
	cordova.plugins.softgamessdk.showBanner();
}

function trackEvent(eventString, valueString) {
	cordova.plugins.softgamessdk.trackEvent(eventString, valueString);
}

function initInterstitial(id) {
	cordova.plugins.softgamessdk.setUpInterstitial(function(){}, id);
}

function showInterstitial() {
	cordova.plugins.softgamessdk.showInterstitial();
}

var AdColony = function() {};
AdColony.prototype.init = function(options, appId, zoneIdArray) {
	cordova.plugins.adcolony.init(this.initSuccess, options, appId, zoneIdArray);
};

AdColony.prototype.initSuccess = function(){
	//alert("init success!");
};

/**
* zoneId can be empty, then there is the first transmittet id used
**/
AdColony.prototype.showAd = function(zoneId){
	if (zoneId == undefined) zoneId = "";
	cordova.plugins.adcolony.show(zoneId);
};

/**
* zoneId can be empty, then there is the first transmittet id used
**/
AdColony.prototype.showAdV4VC = function(zoneId, success, error, withPopup){
	if (zoneId == undefined) zoneId = "";
	cordova.plugins.adcolony.showV4VC(success, error, zoneId, withPopup);
};
var adColony = new AdColony();
