var SG_Hooks = {
	documentLoaded 		: false,
	adPauseCounter: 0,
	getLanguagesCalled 	: false,
	startCalled 		: false,
	levelUpCalled 		: false,
	gameOverCalled		: false,
	
	setOrientationHandlerCalled : false,
	setResizeHandlerCalled 		: false,

	getLanguage : function( supportedLanguages ){
		SG_Hooks.getLanguagesCalled = true;
		supportedLanguages = SGConfig.supportedLangs;
		var lang = navigator.language.split("-");
    var current_lang = (lang[0]);
    
		for (var i = 0; i < supportedLanguages.length; i++) {
			if (supportedLanguages[i] == current_lang) return current_lang;
		}
		
		return "en";
	},
	
	start : function(){
		if (SG_Hooks.startCalled == true) return;
		//init ads and interstitials
		adPauseCounter = SGConfig.android.interstitialNoBuffer;
		SG_Hooks.startCalled = true;
	},
	
	levelUp : function(level, score){
		trackEvent("levelUp", "" + level);
		//if (adPauseCounter == 0) {
		//	adPauseCounter = SGConfig.android.interstitialNoBuffer;
			showInterstitial();
		//} else {
		//	adPauseCounter--;
		//}
		SG_Hooks.levelUpCalled = true;
	},
	
	gameOver : function(level, score){
		if (adPauseCounter == 0) {
			adPauseCounter = SGConfig.android.interstitialNoBuffer;
			showInterstitial();
		} else {
			adPauseCounter--;
		}
		SG_Hooks.gameOverCalled = true;
	},
	setOrientationHandler : function( f ){/*empty function*/},
	setResizeHandler: function ( f ){/*empty function*/},
	
	setPauseHandler: function ( f ){/*empty function*/},
	setUnpauseHandler: function ( f ){/*empty function*/},
	levelStarted: function(){},
	levelFinished: function(){},
	isEnabledIncentiviseButton: function(){return false;}
	
};

var SG = {
	redirectToPortal : function() {window.open("http://m.softgames.de", "_blank")},
	lang : SG_Hooks.getLanguage(),
};

var softgames = {
	embedGame : false
};

SG_isInt = function(i){ return i === +i && i === (i|0); }
SG_isNothing = function(v){ return v==='' || v === null || typeof v == "undefined" }
SG_isFunction = function(f){ return typeof f == 'function'; }
SG_log = function(s){console.log(s);}
SG_load = function(){ SG_Hooks.documentLoaded = true; }
if(window.attachEvent){ window.attachEvent("onload",SG_load); } else{ window.addEventListener("load",SG_load,true); }
